:
# create a large file > 4 GB 
# don't worry about space, it's only a hole 
# check du command below
set -x
rm -f largefile.dat
dd of=largefile.dat seek=4194304 obs=1024 << !EOF
 Macro: AC_SYS_LARGEFILE

 Arrange for 64-bit file offsets, known as large-file support. On some hosts, one must use special compiler options to build programs that can access large files. Append any such options to the output variable CC. Define _FILE_OFFSET_BITS and _LARGE_FILES if necessary. 

 Large-file support can be disabled by configuring with the --disable-largefile option. 

 If you use this macro, check that your program works even when off_t is wider than long int, since this is common when large-file support is enabled. For example, it is not correct to print an arbitrary off_t value X with printf ("%ld", (long int) X). 

 The LFS introduced the fseeko and ftello functions to replace their C counterparts fseek and ftell that do not use off_t. Take care to use AC_FUNC_FSEEKO to make their prototypes available when using them and large-file support is enabled. 



!EOF

ls -l largefile.dat
du -sk largefile.dat

echo ./bvi -s 4194304k largefile.dat
